lucy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Nick Wellnhofer <wellnho...@aevum.de>
Subject Re: [lucy-user] Sort Spec problem on Debian Jessie
Date Thu, 28 Jul 2016 15:08:30 GMT
On 28/07/2016 16:52, Noe Fernandez wrote:
> Thank you Nick and Marvin,
>
> I am trying to install the version from the branch 0.5 and I am not able to do it.
>
> I got the next error:
>
> Parcel 'Clownfish' required by 'TestLucy' not found at /usr/local/lib/x86_64-linux-gnu/perl/5.20.2/Clownfish/CFC/Perl/Build.pm
line 248.

This error indicates that Clownfish 0.5 wasn't installed or the installation 
wasn't found for some reason. You also seem to have a Clownfish::CFC 
installation in /usr/local/lib.

> I tried many things. I tried to install versions 0.4.4 for Lucy and Clownfish but I was
not able to install them either. They always return some error.
>
> No class found for type 'VArray' at /home/vagrant/local-lib/lib/perl5/x86_64-linux-gnu-thread-multi/Clownfish/CFC/Perl/Build.pm
line 249.
>
> Fetching http://backpan.perl.org/authors/id/N/NW/NWELLNHOF/Lucy-0.4.4.tar.gz
> -> OK
> Unpacking Lucy-0.4.4.tar.gz
> Entering Lucy-0.4.4
> Checking configure dependencies from META.json
> Checking if you have ExtUtils::Install 1.46 ... Yes (1.67)
> Checking if you have Clownfish 0.004004 ... Yes (0.005001)

Lucy 0.4 doesn't work with Clownfish 0.5. Also note that this time, 
Clownfish::CFC is run from /home/vagrant/local-lib.

You should try to remove all Clownfish::CFC, Clownfish and Lucy files from 
/usr/local, /home/vagrant/local-lib, and other locations. Then install either

- Clownfish::CFC 0.4.4, Clownfish 0.4.4 and Lucy 0.4.4 from CPAN, or
- Clownfish::CFC 0.5.1, Clownfish 0.5.1 from CPAN and Lucy from the 0.5
   Git branch.

Nick


Mime
View raw message